Subject: Re: [PATCH 00/33] object id conversion (grep and diff)

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Jun 2017 14:08:04 +0900

Junio C Hamano <[email-masked]> writes:

> Brandon Williams <[email-masked]> writes:
>
>> A month or so ago I thought I would lend a hand to Brian and do a round of
>> conversions from sha1 -> struct object_id.  Now that Brian's latest series has
>> hit master I can finally send these patches out.
>>
>> The first couple patches are from Brian which convert some of the notes logic
>> to using 'struct object_id'.  The remaining patches are to convert the grep and
>> diff machinery to using 'struct object_id'.
>
> Nicely done for all of them.  Thanks.  Will queue (with tweaks
> mentioned in the comments).

Oops.  I won't be able to queue this for now as it heavily conflicts
with blame-lib topic.  The resolution should be trivial, mechanical
and boring, but takes time that I do not have today.